@page "/Add/Image"
@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@inject DataService DS
@inject SessionData SD
@inject IJSRuntime JSRuntime
@using BioMap
@inherits ProtectedPage

<Row>
  <Column>
    <h1>@Localize["Add Image"]</h1>
  </Column>
</Row>
<Row Margin="Margin.Is2.OnY">
  <Column>
    @{
      var addAttr = new Dictionary<string,object>(new KeyValuePair<string,object>[] {
    new KeyValuePair<string,object>("accept","image/*"),
    new KeyValuePair<string,object>("multiple","multiple"),
    });
      <InputFile AdditionalAttributes="addAttr" OnChange="@OnInputFileChange" />
    }
    @if (imageDataUrls.Count > 0) {
      <h4>Images</h4>

      <div class="card" style="width:30rem;">
        <div class="card-body">
          @foreach (var imageDataUrl in imageDataUrls) {
            <img class="rounded m-1" src="@imageDataUrl" />
          }
        </div>
      </div>
    }
  </Column>
</Row>
<Modal @ref="progressModalRef">
  <ModalContent Centered="true" Size="ModalSize.ExtraLarge">
    <ModalHeader>
      <ModalTitle>
        @Localize["Operation in progress.."]
      </ModalTitle>
    </ModalHeader>
    <ModalBody>
      <Progress Margin="Margin.Is3.FromBottom">
        <ProgressBar Value="progressCompletion">@progressCompletion.ToString()%</ProgressBar>
      </Progress>
      @if (messages.Count >= 1) {
        foreach (var msg in messages) {
          <Row Margin="Margin.Is1.OnY">
            <Column>
              @msg
            </Column>
          </Row>
        }
        <Row Margin="Margin.Is2.OnY">
          <Column>
            <Button Color="Color.Primary" Float="Float.End" @onclick="()=>progressModalRef.Hide()">@Localize["Close"]</Button>
          </Column>
        </Row>
      }
    </ModalBody>
  </ModalContent>
</Modal>

<div id="uploadUI">
</div>
<form method="post" enctype="multipart/form-data">
  <input type="file" id="inputImageFiles" name="files[]" accept="image/*" multiple style="visibility:hidden;" />
</form>

@code {
}
